<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/TypeAnalysis/Kit.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/Kit.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/TypeAnalysis/Kit.hh</h1><div><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Type.hh.html" >Synopsis/TypeAnalysis/Type.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html" >Kit</a>
<div class="doc"><p>creates and remembers declared types.</p>
</div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::Kit</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#Kit_l_r" >Kit&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#builtin_lconst.std_mstring_A_r" >builtin&#40;const&#160;std::string&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_lconst.Type_S_r" >pointer&#40;const&#160;Type*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_to_member_lconst.Type_S_cconst.Type_S_r" >pointer_to_member&#40;const&#160;Type*&#44;const&#160;Type*&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
